恩山无线论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
查看: 405|回复: 3

新编译的openwrt,ssh登录正常,web界面无法打开

[复制链接]
发表于 2020-10-8 03:12 | 显示全部楼层 |阅读模式
本帖最后由 hansun 于 2020-10-8 03:14 编辑

新编译的openwrt,ssh登录正常,web界面无法打开,经查询应该遗漏luci,运行以下命令出错,提示内核不匹配,请问管理界面还有其它版本安装吗:opkg update
opkg install luci


root@OpenWrt:~# opkg install luci
Installing luci (git-20.113.70804-9d02ef1) to root...
Downloading https://downloads.openwrt.org/sn ... 804-9d02ef1_all.ipk
Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for luci:
*      kernel (= 5.4.69-1-e603d4dc31dbef7fd2d83e7569e8122e)
* opkg_install_cmd: Cannot install package luci.


我的恩山、我的无线 The best wifi forum is right here.
发表于 2020-10-8 08:27 | 显示全部楼层
添加强制安装参数 opkg install --force-depends luci

点评

谢谢了,不过我重新编译了,无法测试  详情 回复 发表于 2020-10-12 08:28
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2020-10-12 08:28 | 显示全部楼层
jjit 发表于 2020-10-8 08:27
添加强制安装参数 opkg install --force-depends luci

谢谢了,不过我重新编译了,无法测试
我的恩山、我的无线 The best wifi forum is right here.
发表于 2020-10-12 13:02 | 显示全部楼层
我拉大雕的代码编译出来的5.4 内核版本,第一次启动也是出现这种情况,不过重启一下后面就没事了。虚拟机以及软路由测试都是这样。
我的恩山、我的无线 The best wifi forum is right here.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|Archiver|恩山无线论坛(常州市恩山计算机开发有限公司版权所有) ( 苏ICP备05084872号 )|网站地图

GMT+8, 2020-11-25 18:57

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表